apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'

android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.rk.worktool"
        minSdkVersion 24
        targetSdkVersion 30
        versionCode 20250617
        versionName "2.9.7"
    }

    buildTypes {
        debug {
            minifyEnabled false
            //对齐
            zipAlignEnabled true
            //移除无用资源
            shrinkResources false
            signingConfig signingConfigs.debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        release {
            minifyEnabled true
            //对齐
            zipAlignEnabled true
            //移除无用资源
            shrinkResources false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    signingConfigs {
        debug {
            storeFile file('keystore.jks')
            storePassword "123456"
            keyAlias "keystore"
            keyPassword "123456"
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    // ... 其他配置 ...

    // 在buildTypes之后添加以下代码
    applicationVariants.all { variant ->
        variant.outputs.all {
            outputFileName = "11.apk"
        }
    }
}

dependencies {
    implementation project(':baselibrary')
    implementation project(':floatwindow')
    implementation project(':xupdate-lib')
    implementation fileTree(dir: "libs", include: ["*.jar", "*.aar"])
    //友盟统计SDK
    implementation 'com.umeng.umsdk:common:9.4.2'// 必选
    implementation 'com.umeng.umsdk:asms:1.4.1'// 必选
    implementation 'com.umeng.umsdk:apm:1.5.2' // 错误分析升级为独立SDK，看crash数据请一定集成，可选
    implementation 'com.umeng.umsdk:share-board:7.1.6'//分享面板功能，可选
}